package com.example.button_clicks;

import android.app.Activity;
import android.os.Bundle;
import android.view.Menu;
import android.view.View;
import android.widget.Button;
import android.widget.EditText;
import android.widget.Toast;

public class MainActivity extends Activity {

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);
        
        final EditText edtImie = (EditText)findViewById(R.id.edtImie);
        final Button btnWitaj = (Button)findViewById(R.id.btnWitaj);
        final Button btnZegnaj = (Button)findViewById(R.id.btnZegnaj);
        
        btnWitaj.setOnClickListener(new View.OnClickListener() {
        	@Override
        	public void onClick(View v) {
        		Toast.makeText(getApplicationContext(), "Witaj " + edtImie.getText().toString(), Toast.LENGTH_SHORT).show();
        	}
        });
        
        btnZegnaj.setOnClickListener(new View.OnClickListener() {
        	@Override
        	public void onClick(View v) {
        		Toast.makeText(getApplicationContext(), "Żegnaj " + edtImie.getText().toString(), Toast.LENGTH_SHORT).show();
        	}
        });
    }


    @Override
    public boolean onCreateOptionsMenu(Menu menu) {
        // Inflate the menu; this adds items to the action bar if it is present.
        getMenuInflater().inflate(R.menu.main, menu);
        return true;
    }
    
}
